Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_Error

Exception class in ClanLib.
Contained in: global
Derived from: none
Derived by: none
Group: Core (System)

#include <ClanLib/core.h>

### public function member index:

### Construction:

`` | `CL_Error` | `(`const` `char`* `message`)`;
`` | `CL_Error` | `(`const` `std::string`& `message`)`;

## Description:

If something goes wrong in a clanlib function, it will throw an exception of this class.

## Function Member Descriptions:

CL_Error::CL_Error - Error Constructor
`` `CL_Error` `(`const` `char`* `message`)`;

CL_Error::CL_Error - Error Constructor
`` `CL_Error` `(`const` `std::string`& `message`)`;

## Variable Member Descriptions:

CL_Error::message - The error message
``std::string`` ``message`;`